SDL Library Documentation
Prev |  | Next

# SDL_FreeSurface

## Name

SDL_FreeSurface -- Frees (deletes) and SDL_Surface

## Synopsis

    #include "SDL.h"

``void SDL_FreeSurface`(SDL_Surface *surface);`

## Description

Frees the resources used by a previously created SDL_Surface. If the surface was created using SDL_CreateRGBSurfaceFrom then the pixel data is not freed.

## See Also

`SDL_CreateRGBSurface` `SDL_CreateRGBSurfaceFrom`

Prev | Home | Next
SDL_CreateRGBSurfaceFrom | Up | SDL_LockSurface